/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Painted Caves\Grobu's Quest\Questgiver\conversations.cs
Lines of code: 68
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.Grobu
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{

				return "You seem preoccupied at the moment, please return when you are fully ready to be of good use!";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "Ah yes, I knew you would accept! Go into the painted caves and return back here with Grobu's fur.";
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			
		}
	}

	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return 1074687; //Ah! So soft, so supple.  What a wonderful texture.  Here you are ... my thanks.
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
			GrobuQuest.GiveRewardTo( System.From);
		}
	}
	
	public class NotDoneConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return 1074686; //I've told you all I know of the creature.  Until you return with Grobu's fur I can't finish my cloak.
			}
		}

		public NotDoneConversation()
		{
		}

		public override void OnRead()
		{
		}
	}	
	
	
}